
#ifndef CALIBRATIONFORM_H
#define CALIBRATIONFORM_H

#include<QtXml>

#include "ui_CalibrationForm.h"

#include "ElementForm.h"
#include "../corteo/techniques.h"

class CalibrationForm :  public QWidget, public  Ui::CalibrationForm 
{
  Q_OBJECT

private:
  int Z;

  QList<QLineEdit *> leCompCorrList;  // compound correction edit fields

public:
  CalibrationForm(QWidget * parent, int Z, int maxlayer);
  virtual ~CalibrationForm() {}

  void        setFromNode(QDomNode &n);
  QDomElement XMLNode(QDomDocument &doc);
  QString     corteo(bool *error);

  QString     compoundCorr(int ilayer);

  void setCalibrationFieldsEnabled(bool enable);
  void setCompoundCorrEnabled(int ilayer, bool enable);
  int  getZ() {return Z;}

};

#endif // CALIBRATIONFORM_H
