
/* This file is part of the Allegria project
   Copyright (C) 2004 Francois Schiettekatte <francois.schiettekatte@umontreal.ca>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef FSFILEDIALOG_H
#define FSFILEDIALOG_H

#include <QFileDialog>
#include <QLineEdit>

// File dialog where the user can also indicate the number of lines to 
// skip at the beginning of the file and the columns that represent X and Y
class FSFileDialog : public QFileDialog {

  Q_OBJECT

private:

  QLineEdit * lineEditSkipLines;
  QLineEdit * lineEditXcolumn;
  QLineEdit * lineEditYcolumn;

public:
  FSFileDialog(QWidget * parent);

  int skipLines() { return lineEditSkipLines->text().toInt(); }
  int Xcolumn() { return lineEditXcolumn->text().toInt(); }
  int Ycolumn() { return lineEditYcolumn->text().toInt(); }

};


#endif // FSFILEDIALOG_H
